'use strict'

exports.launch = launch

const util = require('../util')
const Logger = util.getLogger(__filename)
const SettingsManager = require('../settings-manager')

function launch (Context) {
  return new Promise((resolve, reject) => {
    const settingsManager = SettingsManager.create(Context)
    if (Context.config.data.postgresDsn) return resolve()

    settingsManager.readSettings(err => {
      if (err) return reject(err)

      Logger.debug('Settings loaded.')
      Context.settingsManager = settingsManager
      resolve()
    })
  })
}
