'use strict'

exports.handleRequest = handleRequest

const util = require('../../util')
const Logger = util.getLogger(__dirname, __filename)

// Handle the HTTP request
function handleRequest (req, res) {
  const context = req.nsConsole.context
  const settingsManager = context.settingsManager
  const eventStream = req.nsConsole.eventStream

  Logger.debug('handling request')

  settingsManager.getSettings('savedViews', (err, results) => {
    if (err) {
      Logger.error('Error listing saved views.', err)
      return eventStream.writeError(null, undefined, err.message)
    }

    Object.keys(results).forEach(key => {
      const result = results[key]
      result.time = Date.now()
      eventStream.writeData(result)
    })

    eventStream.close()
  })
}
