'use strict'

const async = require('async')

exports.handleRequest = handleRequest

// Handle the HTTP request
function handleRequest (req, res) {
  const sm = req.nsConsole.context.settingsManager

  async.parallel({
    generalSettings: acb => sm.getSettings('generalSettings', acb),
    integrations: acb => sm.getSettings('integrations', acb),
    notifications: acb => sm.getSettings('notifications', acb),
    license: acb => sm.getSettings('license', acb),
    savedViews: acb => sm.getSettings('savedViews', (err, result) => {
      if (err) return acb(err)
      acb(null, Object.keys(result).map(key => result[key])) // frontend expects an array
    })
  }, (err, result) => {
    if (err) return res.status(500).send('Internal Server Error.')

    res.status(200)
    res.send(result)
  })
}
