'use strict'

exports.handleRequest = handleRequest

const simpleCommand = require('../simple-command')

// Handle the HTTP request
function handleRequest (req, res) {
  const context = req.nsConsole.context
  const qData = req.nsConsole.qData

  simpleCommand.run(context, null, res, qData, {
    command: 'async_activity',
    transformer: getTransformer(context)
  })
}

class Transformer {
  constructor (context) {
    this._context = context
  }

  transform (body, cb) {
    const agent = this._context.agentManager.byId(body.id)

    if (!agent) {
      return cb(null, body)
    }

    body.app = agent.tags.app
    body.hostname = agent.tags.hostname
    cb(null, body)
  }
}

function getTransformer (context) {
  const transformer = new Transformer(context)
  return function doTransform (body, cb) {
    transformer.transform(body, cb)
  }
}
