'use strict'

exports.handleRequest = handleRequest

const util = require('../../util')
const httpUtils = require('../http-utils')
const Logger = util.getLogger(__dirname, __filename)
const KEY = 'generalSettings'

// Handle the HTTP request
function handleRequest (req, res) {
  Logger.debug('handling request')

  let err
  if (req.body == null) {
    err = 'no body provided'
  } else if (req.body.id == null) {
    err = 'no id property in body'
  }

  if (err) {
    res.status(400)
    Logger.warn(`invalid general-settings request: ${err}`)
    return res.send({ error: { message: err } })
  }

  httpUtils.updateSettingByType(req, res, KEY, err => {
    if (err) {
      Logger.error(err, 'error updating settings')
    }
  })
}
