'use strict'

const lodash = require('lodash')

module.exports = function (context) {
  const name = 'all commands'
  function run (message) {
    if (message.command === 'metrics') {
      message = formatMetrics(context, message)
    }
    context.commandDispatcher.handleMessage(message)
  }

  function predicate (message) {
    return !!(message.requestId && message.command)
  }

  return { name, run, predicate }
}

function formatMetrics (context, message) {
  const agent = context.agentManager.byId(message.agentId)
  if (agent) {
    const body = lodash.clone(message.body)
    const formatted = agent.formatMetricsForReturning(body)
    if (formatted) {
      message.body = formatted
    }
  }
  return message
}
