#!/usr/bin/env nsolid

module.exports = require('./lib/nsolid-console')

const semver = require('semver')

if (!process.versions.nsolid || !semver.satisfies(process.versions.nsolid.replace(/-.*$/, ''), '>=3.0.0')) {
  console.error('N|Solid Console should be run with the N|Solid 3.0 runtime or newer')
  process.exit(1)
}

try {
  require('leveldown')
} catch (err) {
  console.error(`Unable to load package leveldown: ${err}`)
  console.error(`This can happen if you run this application with a different version of N|Solid than it was built for.`)
  console.error(`Currently running with N|Solid version ${process.versions.nsolid}`)
  process.exit(1)
}

if (require.main === module) {
  process.title = 'nsolid-console'
  module.exports.main()
}
