#!/bin/bash
# Homebrew
if [[ -L /usr/local/bin/nsolid-console ]]; then
  # Symlinks to /usr/local/Cellar/nsolid-console/<version>/bin/nsolid-console
  # this cut will return the version, like 3.0.0
  VERSION=$(readlink /usr/local/bin/nsolid-console | cut -d "/" -f 4)
  NSOLID_PATH="/usr/local/Cellar/nsolid-console/$VERSION"
  NSOLID="/usr/local/bin/nsolid"
  CONSOLE="$NSOLID_PATH/nsolid-console.js --provider=homebrew"
# Directly from tarball
elif [[ -f ../nsolid-console.js ]]; then
  NSOLID_PATH=$(cd .. && pwd)
  NSOLID=$(which nsolid)
  CONSOLE="$NSOLID_PATH/nsolid-console.js"
# Developer Bundle
else
  NSOLID_PATH="/usr/local/nsolid"
  NSOLID="$NSOLID_PATH/bin/nsolid"
  CONSOLE="$NSOLID_PATH/console/nsolid-console.js"
fi
NODE_ENV="production" $NSOLID $CONSOLE --interval=3000
